%define oname  pyalsaaudio
%define module alsaaudio

Name:          python-%{module}
Version:       0.11.0
Release:       %mkrel 2
Summary:       ALSA wrapper for Python
Group:         Development/Python
License:       Python
Url:           https://larsimmisch.github.io/pyalsaaudio/
Source0:       https://pypi.io/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
# dmorgan
Patch0:        python-alsaaudio-0.11.0-fix-link.patch
BuildRequires: pyproject-rpm-macros
BuildRequires: pkgconfig(alsa)
Provides:      %{oname} = %{version}-%{release}

%description
ALSA wrapper for Python. PCM playback and capture, as well as the
Mixer API is supported.

%package -n     python3-%{module}
Summary:        ALSA wrapper for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
ALSA wrapper for Python. PCM playback and capture, as well as the
Mixer API is supported.
This is the Python 3 build of %{oname}.

%prep
%autosetup -p1 -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files alsaaudio

%files -n python3-%{module} -f %{pyproject_files}
%doc TODO README.md
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 0.11.0-2.mga10
+ Revision: 2156445
- rebuild for python3.13

* Tue Jun 11 2024 daviddavid <daviddavid> 0.11.0-1.mga10
+ Revision: 2072650
- new version: 0.11.0

* Fri Dec 08 2023 papoteur <papoteur> 0.10.0-3.mga10
+ Revision: 2015777
- rebuild for python 3.12

* Fri Dec 08 2023 papoteur <papoteur> 0.10.0-2.mga10
+ Revision: 2015776
- rebuild for python 3.12

* Fri Sep 08 2023 papoteur <papoteur> 0.10.0-1.mga10
+ Revision: 1985331
- new 0.10.0

* Sat Oct 22 2022 ghibo <ghibo> 0.9.2-1.mga9
+ Revision: 1898349
- Update to release 0.9.2
- Fix filelist.

* Sat Mar 19 2022 umeabot <umeabot> 0.9.0-4.mga9
+ Revision: 1799664
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 0.9.0-3.mga9
+ Revision: 1774394
- Rebuild for python 3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 0.9.0-2.mga9
+ Revision: 1708098
- rebuild for python 3.9

* Fri Oct 09 2020 shlomif <shlomif> 0.9.0-1.mga8
+ Revision: 1632971
- New version 0.9.0

* Sun Feb 16 2020 umeabot <umeabot> 0.8.4-7.mga8
+ Revision: 1533117
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.8.4-6.mga8
+ Revision: 1443539
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 0.8.4-5.mga7
+ Revision: 1350857
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.8.4-4.mga7
+ Revision: 1300438
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 0.8.4-3.mga7
+ Revision: 1210522
- Renamed python-alsaaudio to python2-alsaaudio
- Use new python[2,3]dist BR

* Sat Aug 05 2017 pterjan <pterjan> 0.8.4-2.mga7
+ Revision: 1135302
- Rebuild for python 3.6

* Mon Jul 31 2017 daviddavid <daviddavid> 0.8.4-1.mga7
+ Revision: 1133215
- new version: 0.8.4
- add the python3 subpackage
- update URL and Source URL

* Mon Feb 08 2016 umeabot <umeabot> 0.7-8.mga6
+ Revision: 944980
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7-7.mga5
+ Revision: 745537
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7-6.mga5
+ Revision: 728031
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7-5.mga5
+ Revision: 687879
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7-3.mga4
+ Revision: 542905
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7-2.mga4
+ Revision: 498091
- Rebuild to add different pythonegg provides for python 2 and 3
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ gil <gil>
- update to 0.7
- imported package python-alsaaudio
+ dmorgan <dmorgan>
- Clean Spec file

